<!-- $Id: functions.inc,v 1.1 2007/02/01 20:18:38 ianbezanson Exp $ -->

<?php
  function checkInput($input)
  {
    if(is_array($input))
    {
      foreach($input as $key => $value)
      {
        if(is_string($value))
        {
          $input[$key] = escapeshellcmd($value);
        }
        else unset($input[$key]);
      }
    }
    elseif(is_string($input))
    {
      $input = escapeshellcmd($input);
    }
    else unset($input);
    return $input;
  }
  
  function GetReadableFileSize($path)
  {
    $filesize = filesize($path);
    $unit = "bytes";
    if ($filesize > 1024)
    {
      $filesize = ($filesize / 1024);
      $unit = "kB";
    }
    if ($filesize > 1024)
    {
      $filesize = ($filesize / 1024);
      $unit = "MB";
    }
    if ($filesize > 1024)
    {
      $filesize = ($filesize / 1024);
      $unit = "GB";
    }
    if ($filesize > 1024)
    {
      $filesize = ($filesize / 1024);
      $unit = "TB";
    }

    $filesize = round($filesize, 2);
    return $filesize." ".$unit;
  }

  function addFile ($fileData, $fileName, $fileSize, $owner, $public)
  {
    $dateAdded = date("M d, Y H:i:s");
    if($public == "on") $public = "yes";
    else $public = "no";
    $fh = fopen($fileData, 'a') or die ("Cannot open $fileData.<br />Fix permissions!");
    $stringData = "$fileName||$fileSize||$owner||$public||$dateAdded||\n";
    fwrite($fh, $stringData);
    fclose($fh);
  }

  function getFile ($fileData, $user, $uploadDir)
  {
    $returnVal = "";
    $lines = file($fileData);
    foreach($lines as $value)
    {
      list($filename, $filesize, $owner, $public, $dateAdded, $toss) = explode("||", $value);
      if($public == "yes" || $owner == $user)
      {
        $returnVal .= "<tr>\n";
        $returnVal .= "<td class=\"listing\">\n";
        $returnVal .= "<a href=\"$uploadDir$filename\">$filename</a>\n";
        $returnVal .= "</td>\n";
        $returnVal .= "<td class=\"listing\">\n";
        $returnVal .= "$filesize\n";
        $returnVal .= "</td>\n";
        $returnVal .= "<td class=\"listing\">\n";
        $returnVal .= "$owner\n";
        $returnVal .= "</td>\n";
        $returnVal .= "<td class=\"listing\">\n";
        $returnVal .= "$dateAdded\n";
        $returnVal .= "</td>\n";
        $returnVal .= "<td class=\"listing\">\n";
        $returnVal .= "$public\n";
        $returnVal .= "</td>\n";
        $returnVal .= "<td class=\"listing\">\n";
        if($owner == $user) $returnVal .= "<input type=\"checkbox\" name=\"deleteWhichFiles[]\" value=\"$filename\" />\n";
        else $returnVal .= "&nbsp;\n";
        $returnVal .= "</td>\n";
        $returnVal .= "</tr>\n";
      }
    }
    return $returnVal;
  }
  
  function getCurrentFileList ($fileData)
  {
    $lines = file($fileData);
    $currentFiles = array();
    foreach($lines as $value)
    {
      list($filename, $filesize, $owner, $public, $dateAdded, $toss) = explode("||", $value);
      $currentFiles[$filename] = "";
    }
    return $currentFiles;
  }

  function checkForFile ($fileList, $fileToUpload)
  {
    if(array_key_exists($fileToUpload, $fileList)) return 1;
    else return 0;
  }

?>