<!-- $Id: index.php,v 1.9 2007/10/01 12:59:57 ianbezanson Exp $ -->

<?php
  $PHP_SELF = $_SERVER['PHP_SELF'];
  require('config.php');
  include('includes/functions.inc');
  
  set_time_limit($timeLimit);
  if(isset($_SERVER["PHP_AUTH_USER"])) $htuser = checkInput($_SERVER["PHP_AUTH_USER"]);
  if(isset($_SERVER["REMOTE_ADDR"])) $ip = checkInput($_SERVER["REMOTE_ADDR"]);
  $date = date("D M j G:i:s T Y");

  if (checkInput($_POST["addFiles"]) == "true")
  {
    $currentFileList = getCurrentFileList($fileData);
    for ($i=0;$i<$numoffile;$i++)
    {
      $thisFile = trim($_FILES['myfiles']['name'][$i]);
      if ($thisFile != "")
      {
        if (checkForFile ($currentFileList, $thisFile))
        {
          $failedUpload[$thisFile] = "failed";
        }
        else 
        {
          $newfile = $file_dir.$thisFile;
          move_uploaded_file($_FILES['myfiles']['tmp_name'][$i], $newfile);
          $public = checkInput($_POST["public".$i]);
          if ($public != "on") $public = "off";
          addFile ($fileData, $thisFile, GetReadableFileSize($newfile), $htuser, $public);
          $filesWereAdded++;
          unset($public);
        }
      }
    }
  }
  if (checkInput($_POST["deleteFiles"]) == "true")
  {
    $keepCount = 0;
    $deleteCount = 0;
    $cleanDel = $_POST["deleteWhichFiles"];
    $handle = fopen($fileData, "r");
    if ($handle)
    {
      while (!feof($handle))
      {
        $buffer = fgets($handle, 4096);
        $buffer = rtrim($buffer);
        if($buffer != "")
        {
          list($filename, $filesize, $owner, $public, $dateAdded, $toss) = explode("||", $buffer);
          if (in_array($filename, $cleanDel))
          {
            $deleteList[$deleteCount] = $file_dir.$filename;
            $deleteCount++;
          }
          else
          {
            if ($dateAdded != "") $putBack[$keepCount] = "$filename||$filesize||$owner||$public||$dateAdded||\n";
            else $putBack[$keepCount] = "$filename||$filesize||$owner||$public||\n";
            $keepCount++;
          }
        }
      }
    }
    fclose($handle);
    foreach($deleteList as $value)
    {
      unlink($value);
    }

    $handle = fopen($fileData, "w+");
    if ($handle && isset($putBack))
    {
      foreach($putBack as $value)
      {
        fwrite($handle, $value);
      }
    }
    fclose($handle);
  }

  $output = "<!doctype html public \"-//W3C//DTD HTML 4.0 Transitional//EN\">\n";
  $output .= "<html>\n<head>\n<title>$WebTitle</title>\n";
  $output .= "<style type=\"text/css\">\n";
  $output .= ".title { font-family: trebuchet,helvetica,arial; font-size: 15px; font-weight: bold; }\n";
  $output .= "a { color: #007dc6;  font-weight: bold; font-size: 10px;  text-align: left; text-decoration: underline; }\n";
  $output .= "a:hover { color: #007dc6;  font-weight: bold; font-size: 10px;  text-align: left; text-decoration: underline; }\n";
  $output .= "table { background: #ffffff; color: #000000; padding: 1px; border: 0px; border-spacing: 0;}\n";
  $output .= "table td.heading { background: #eeeeee; border-top: 1px solid #cbcbcb; border-bottom: 1px solid #cbcbcb; font-family: trebuchet,helvetica,arial; font-size: 16px; font-weight: bold; vertical-align: bottom; }\n";
  $output .= "table td.subheading { background: #eeeeee; border-top: 1px solid #cbcbcb; border-bottom: 1px solid #cbcbcb; font-family: trebuchet,helvetica,arial; font-size: 13px; font-weight: bold; vertical-align: bottom; }\n";
  $output .= "table td.listing { border-bottom: 1px solid #cbcbcb; font-family: helvetica,arial,verdana; font-size: 12px; }\n";
  $output .= "table td.pass { border-bottom: 1px solid #cbcbcb; font-family: arial black; font-size: 12px; color: #339900; }\n";
  $output .= "table td.fail { border-bottom: 1px solid #cbcbcb; font-family: arial black; font-size: 12px; color: #990000; }\n";
  $output .= "ul { margin-top: 0px; margin-bottom: 0px; }\n";
  $output .= "</style>\n</head>\n<body>\n";
  $output .= "<table width=\"100%\">\n<tr>\n";
  $output .= "<td class=\"listing\"><div class=\"title\">$WebTitle</div>\n";
  $output .= "$dbVer\n<br />";
  $output .= "Currently Logged On As: $htuser\n<br />";
  $output .= "Currently Logged On From: $ip\n<br />";
  $output .= "Generated on: $date";
  $output .= "</td>\n</tr>\n</table><br />\n";

  if ((isset($filesWereAdded) && $filesWereAdded > 0) || is_array($failedUpload))
  {
    $output .= "<table width=\"100%\">\n";
    $output .= "<tr>\n<td class=\"heading\">File Upload Status</td>\n</tr>\n";
    if ($filesWereAdded > 0) $output .= "<tr>\n<td class=\"pass\">Your file(s) have been uploaded.\n</td>\n</tr>\n";
    if (is_array($failedUpload))
    {
      $output .= "<tr>\n<td class=\"fail\">\n";
      $output .= "The following file(s) already exist (and will not be uploaded):\n";
      $output .= "<ul>\n";
      foreach($failedUpload as $key => $value)
      {
        $output .= "<li>$key</li>\n";
      }
      $output .= "</ul>\n";
      $output .= "</td>\n</tr>\n";
    }
    $output .= "</table><br />\n";
  }
  
  if (isset($deleteCount) && $deleteCount > 0)
  {
    $output .= "<table width=\"100%\">\n";
    $output .= "<tr>\n<td class=\"heading\">File Upload Status</td>\n</tr>\n";
    $output .= "<tr>\n<td class=\"pass\">Your file(s) have been deleted.</td>\n</tr>\n";
    $output .= "</table><br />\n";
  }

  $output .= "<table width=\"100%\">\n";
  $output .= "<tr>\n<td class=\"heading\">Please choose files to upload:</td>\n</tr>\n";
  $output .= "<tr>\n<td class=\"listing\">\n";
  $output .= "<form method=\"post\" name=\"fileUploader\" enctype=\"multipart/form-data\" action=\"$PHP_SELF\">\n";

  for($i=0;$i<$numoffile;$i++)
  {
    $output .= "Public To All Users?&nbsp;<input type='checkbox' name=\"public$i\" CHECKED />&nbsp;\n";
    $output .= "<input type='file' name='myfiles[]' size='30'><br \>\n";
  }

  $output .= "<br />\n";
  $output .= "<input type='hidden' name='addFiles' value='true'>\n";
  $output .= "<input type='submit' name='action' value='Upload'>\n";
  $output .= "</form>";
  $output .= "</td>\n</tr>\n</table><br />\n";

  include ('includes/dirListing.inc');

  $cvstag = '$Id: index.php,v 1.9 2007/10/01 12:59:57 ianbezanson Exp $';
  $output .= "<font style=\"font-size: 0.7em;\"><i>$cvstag</i></font>";
  $output .= "</body>\n</html>\n";
  echo $output;
  if ((isset($filesWereAdded) && $filesWereAdded > 0) || (isset($deleteCount) && $deleteCount > 0)) 
    include('includes/mailMe.inc');
?>
